Bug 986582 - Maven repo: Artifact with an invalid POM
Maven repo: Artifact with an invalid POM
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER01
: 6.1.1
Assigned To: Jean-frederic Clere
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 16:40 EDT by Miroslav Cupák
Modified: 2018-02-06 14:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2013-07-20 16:40:19 EDT
Description of problem:
There is an artifact in the repo, the POM of which is not valid due to a namespace problem.

Additional info:
Artifact: caja-r4251.caja-r4251
Error:
'FAIL - POM file is not valid, is xmlns="http://maven.apache.org/POM/4.0.0" defined in root element???'
----------------
'jboss-jboss-jpp-6.1.0-maven-repository/caja/caja/r4251/caja-r4251.pom:1: namespace error : Namespace prefix xsi for schemaLocation on project is not defined
ion="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
                                                                               ^
jboss-jboss-jpp-6.1.0-maven-repository/caja/caja/r4251/caja-r4251.pom:1: element project: Schemas validity error : Element 'project': No matching global declaration available for the validation root.
jboss-jboss-jpp-6.1.0-maven-repository/caja/caja/r4251/caja-r4251.pom fails to validate'
Comment 2 hfnukal@redhat.com 2013-08-28 20:18:35 EDT
Caja is not maven project, where pom is generated by ant script.
Productization of this component would be complicated and time consuming.
Comment 3 Miroslav Cupák 2013-09-18 07:23:49 EDT
Honza, did you mean to close this as WONTFIX or is there any change to verify by QE?
Comment 4 Miroslav Cupák 2013-09-27 10:15:58 EDT
I'm setting this back to assigned as it became an issue again in 6.1.0.CR03 after inclusion of more artifacts.

List of affected artifacts:
batik-css-1.7.batik-css-1.7
batik-util-1.7.batik-util-1.7
jacorb-idl-2.2.3-jonas-patch-20071018.jacorb-idl-2.2.3-jonas-patch-20071018
jaxb-api-2.1.4.jaxb-api-2.1.4
jsf-api-1.2_15-b01-redhat-2.jsf-api-1.2_15-b01-redhat-2
sac-1.3.sac-1.3
xml-apis-2.9.1.xml-apis-2.9.1
asm-3.3.1-redhat-2.asm-3.3.1-redhat-2
caja-r4251.caja-r4251
htmlparser-r4209.htmlparser-r4209
jacorb-2.3.2-redhat-2.jacorb-2.3.2-redhat-2
javax.inject-1-redhat-2.javax.inject-1-redhat-2
xjavadoc-1.2.3.xjavadoc-1.2.3
xmlbeans-2.4.0-redhat-2.xmlbeans-2.4.0-redhat-2
Comment 5 Miroslav Cupák 2013-10-02 16:18:32 EDT
Update for the latest spin of 6.1.0.CR03 (build #120):

asm-analysis-3.3.1-redhat-2.asm-analysis-3.3.1-redhat-2
asm-commons-3.3.1-redhat-2.asm-commons-3.3.1-redhat-2
asm-tree-3.3.1-redhat-2.asm-tree-3.3.1-redhat-2
asm-util-3.3.1-redhat-2.asm-util-3.3.1-redhat-2
asm-xml-3.3.1-redhat-2.asm-xml-3.3.1-redhat-2
diff_match_patch-current.diff_match_patch-current
infinispan-parent-5.2.6.Final-redhat-1.infinispan-parent-5.2.6.Final-redhat-1
jboss-remoting-2.5.0.GA.jboss-remoting-2.5.0.GA
jboss-serialization-1.0.3.GA.jboss-serialization-1.0.3.GA
not-yet-commons-ssl-0.3.11-redhat-2.not-yet-commons-ssl-0.3.11-redhat-2
batik-css-1.7.batik-css-1.7
batik-util-1.7.batik-util-1.7
jacorb-idl-2.2.3-jonas-patch-20071018.jacorb-idl-2.2.3-jonas-patch-20071018
jaxb-api-2.1.4.jaxb-api-2.1.4
jsf-api-1.2_15-b01-redhat-2.jsf-api-1.2_15-b01-redhat-2
sac-1.3.sac-1.3
xml-apis-2.9.1.xml-apis-2.9.1
asm-3.3.1-redhat-2.asm-3.3.1-redhat-2
caja-r4251.caja-r4251
htmlparser-r4209.htmlparser-r4209
jacorb-2.3.2-redhat-2.jacorb-2.3.2-redhat-2
javax.inject-1-redhat-2.javax.inject-1-redhat-2
xjavadoc-1.2.3.xjavadoc-1.2.3
xmlbeans-2.4.0-redhat-2.xmlbeans-2.4.0-redhat-2
Comment 6 hfnukal@redhat.com 2013-10-16 05:34:57 EDT
Artifacts not productized by JPP team or not productized. Not blocker for release.
Comment 7 Miroslav Cupák 2013-11-01 08:41:34 EDT
As discussed on IRC, this shouldn't be ON_QA as the issue hasn't been fixed. Setting back to ASSIGNED and changing target release to 6.1.1.
Comment 8 Filip Kiss 2014-01-24 06:43:06 EST
Verified in 6.1.1.ER01

Note You need to log in before you can comment on or make changes to this bug.